Get destination
GET
One destination, by id. Never includes a secret.
Access: workspace_viewer · API key destinations:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringSuccess
application/json- response
id*stringFormat
uuidworkspaceId*stringFormat
uuidname*stringurl*stringcredentialId*|Format
uuidcredentialName*string|nullcredentialActive*boolean|nullsendTestCalls*booleaninstructions*stringactive*booleancreatedByUserId*|Format
uuidcreatedByUserName*string|nullupdatedByUserId*|Format
uuidupdatedByUserName*string|nullcreatedAt*stringFormat
date-timeupdatedAt*stringFormat
date-timecurl -X GET 'https://api.poc.app.waylovoice.ai/destinations/string' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "workspaceId": "ef0efa32-d1c1-43d4-a5e2-fe7b4f00403c", "name": "string", "url": "string", "credentialId": "f568fec0-10b6-4b94-9daf-e62c50c9bf3e", "credentialName": "string", "credentialActive": true, "sendTestCalls": true, "instructions": "string", "active": true, "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e", "updatedByUserName": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Create destination POST
Add a place a session’s result is sent after the call. The signing secret is in the response and is never retrievable again. Requires CREDENTIAL_ENCRYPTION_KEY to be configured (503 otherwise). **Access:** workspace_admin · API key `destinations:write`
List destinations GET
Destinations in one workspace, offset-paginated. Never includes a secret. **Access:** workspace_viewer · API key `destinations:read`